# PhasicFlow: src/phasicFlow/streams/dataIO/dataIO.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

dataIO.hpp File Reference
Include dependency graph for dataIO.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | dataIO< T >

## Namespaces

| pFlow

## Functions

template<typename T >
bool | writeDataAsciiBinary (iOstream &os, span< T > data)
template<typename T >
bool | writeDataASCII (iOstream &os, span< T > data)
template<typename T >
bool | readDataAscii (iIstream &is, std::vector< T > &vec)
template<typename T >
bool | readDataAsciiBinary (iIstream &is, std::vector< T > &data)
template<typename T >
iOstream & | operator<< (iOstream &os, const span< T > &s)